## mozplugger 1.7.1

=== Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.6.0
+VERSION=1.7.1
 
 BASE_FILES=Makefile mozplugger.7.bz2 README COPYING mozpluggerrc
 SOURCE_FILES=mozplugger.c mozplugger-common.c mozplugger-helper.c mozplugger.spec.in \
@@ -137,19 +137,22 @@
 	-rm *.so *~ core mozplugger
 	-rm -rf rpmtmp
 
-localinstall:
-	-@mkdir $$HOME/.mozilla/plugins 1>/dev/null 2>&1 || :
-	cp mozplugger.so $$HOME/.mozilla/plugins/
-	cp mozplugger-helper $$HOME/.mozilla/
-	cp mozplugger-controller $$HOME/.mozilla/
-	if [ ! $$HOME/.mozilla/mozpluggerrc ]; then cp mozpluggerrc $$HOME/.mozilla/mozpluggerrc ; fi
+localinstall: mozplugger.so mozplugger-helper mozplugger-controller
+	-@mkdir -p $$HOME/$(BROWSERDIR)/plugins
+	cp mozplugger.so $$HOME/$(BROWSERDIR)/plugins/
+	cp mozplugger-helper $$HOME/$(BROWSERDIR)/
+	cp mozplugger-controller $$HOME/$(BROWSERDIR)/
+	if [ -f $$HOME/$(BROWSERDIR)/mozpluggerrc ]; then mv $$HOME/$(BROWSERDIR)/mozpluggerrc $$HOME/$(BROWSERDIR)/mozpluggerrc.old; fi
+	cp mozpluggerrc $$HOME/$(BROWSERDIR)/
+
+localinstall_mozilla:
+	make localinstall BROWSERDIR=.mozilla
+
+localinstall_netscape:
+	make localinstall BROWSERDIR=.netscape
 
 localinstall_opera:
-	-@mkdir $$HOME/.opera/plugins 1>/dev/null 2>&1 || :
-	cp mozplugger.so $$HOME/.opera/plugins/
-	cp mozplugger-helper  $$HOME/.opera/
-	cp mozplugger-controller $$HOME/.opera/
-	if [ ! $$HOME/.opera/mozpluggerrc-$(VERSION) ]; then cp mozpluggerrc $$HOME/.opera/mozpluggerrc-$(VERSION) ; fi
+	make localinstall BROWSERDIR=.opera
 
 install:
 	-@mkdir -p $(root)$(prefix)/bin
