## mozplugger 1.10.1

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,10 @@
 CC=gcc
 LD=gcc
 BINFORMAT=bin
+
+#Debug or not debug build
+BUILD=NODEBUG
+#BUILD=DEBUG
 
 any:
 	@echo 'Choose target:'
@@ -31,6 +35,8 @@
 	@echo '   ${MAKE} aix          - for AIX >= 4.2'
 	@echo '   ${MAKE} freebsd      - for FreeBSD 4.x'
 	@echo '   ${MAKE} openbsd      - for OpenBSD'
+	@echo '   ${MAKE} xx BUILD=DEBUG  - for xx with debug'
+	@echo 'Always run $(MAKE) clean first when switching target type'
 
 irix:
 	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS='-shared -n32'
@@ -42,16 +48,16 @@
 	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS=-b X11=/usr/include/X11R6
 
 hp-cc:
-	${MAKE} all CC=cc XCFLAGS='+DAportable -Ae +z' LD=ld XLDFLAGS='-b +e NP_GetValue +e NP_Initialize +e NP_Shutdown +e NP_GetMIMEDescription' RPM_OPT_FLAGS=+O2 NORM_CFLAGS="" X11=/usr/include/X11R6
+	${MAKE} all CC=cc XCFLAGS='+DAportable -Ae +z' LD=ld XLDFLAGS='-b +e NP_GetValue +e NP_Initialize +e NP_Shutdown +e NP_GetMIMEDescription' RPM_OPT_FLAGS=+O2  X11=/usr/include/X11R6
 
 linux:
-	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=gcc XLDFLAGS=-shared
+	${MAKE} all CC=gcc XCFLAGS='-fPIC -Wall' LD=gcc XLDFLAGS=-shared
 
 solaris-gcc:
 	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS=-G XLIBS='-lX11 -lsocket -lnsl' X11=/usr/openwin/
 
 solaris-cc:
-	${MAKE} all CC=cc LD=ld XLDFLAGS=-G  XLIBS='-lX11 -lsocket -lnsl' X11=/usr/openwin/
+	${MAKE} all CC=cc XCFLAGS=-Kpic RPM_OPT_FLAGS=-O LD=ld XLDFLAGS=-G  XLIBS='-lX11 -lsocket -lnsl' X11=/usr/openwin/
 
 du:
 	${MAKE} all CC=cc LD=ld XLDFLAGS='-expect_unresolved "*" -shared -msym -O3'
@@ -68,7 +74,7 @@
 auto:
 	@case "x`uname`" in \
 	  xLinux) ${MAKE} linux ;; \
-	  xSunOS) ${MAKE} solaris ;; \
+	  xSunOS) ${MAKE} solaris-gcc ;; \
 	  xHP-UX) ${MAKE} hp-gcc ;; \
 	  xOSF1) ${MAKE} du ;; \
 	  xIRIX) ${MAKE} irix ;; \
@@ -84,18 +90,31 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.7.1
-
-BASE_FILES=Makefile mozplugger.7.bz2 README COPYING mozpluggerrc
-SOURCE_FILES=mozplugger.c mozplugger-common.c mozplugger-helper.c mozplugger.spec.in \
-	     mozplugger-common.c mozplugger.h README.in
-BIN_FILES=mozplugger.so mozplugger-helper
-
-DEFINES=$(STREAM) -DVERSION=\"$(VERSION)\" -Wall #-DDEBUG #-D__amd64__
+VERSION=1.10.1
+
+BASE_FILES=Makefile \
+	   mozplugger.7 \
+	   README \
+	   COPYING \
+	   mozpluggerrc
+
+SOURCE_FILES=mozplugger.c \
+	     mozplugger-common.c \
+	     mozplugger-helper.c \
+	     mozplugger.spec \
+	     mozplugger-common.c \
+	     mozplugger.h 
+
+BIN_FILES=mozplugger.so \
+	  mozplugger-helper \
+	  mozplugger-controller
+
+DEFINES= -DXP_UNIX -DVERSION=\"$(VERSION)\" -D$(BUILD) #-D__amd64__
+INCLUDES= -Inpapi/include -I$(X11)/include
 RPM_OPT_FLAGS=-O2
-COMMON_CFLAGS=$(RPM_OPT_FLAGS) -Inpapi/include -I$(X11)/include -DXP_UNIX $(DEFINES)
+COMMON_CFLAGS=$(RPM_OPT_FLAGS) $(INCLUDES) $(DEFINES)
 COMMON_LDFLAGS=
-NORM_CFLAGS=
+
 NORM_LDFLAGS=
 XCFLAGS=-shared
 XLDFLAGS=-shared
@@ -103,28 +122,28 @@
 XLIBS=-lX11 -L$(XLIBDIR)
 
 LDSHARED=$(LD) $(XLDFLAGS)
-CFLAGS = $(COMMON_CFLAGS) $(NORM_CFLAGS)
 LDFLAGS=$(COMMON_LDFLAGS) $(NORM_LDFLAGS)
-SHARED_CFLAGS=$(COMMON_CFLAGS) $(XCFLAGS)
+CFLAGS=$(COMMON_CFLAGS) $(XCFLAGS)
 
 all: mozplugger.so mozplugger-helper mozplugger-controller
 
 mozplugger-helper: mozplugger-helper.o mozplugger-common.o
 	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o $(XLIBS)
 
-mozplugger-helper.o: mozplugger.h
-
-mozplugger.so: mozplugger.o stub.o mozplugger-common.o
+mozplugger-helper.o: mozplugger-helper.c mozplugger.h Makefile
+	$(CC) -c $(CFLAGS) -o mozplugger-helper.o mozplugger-helper.c
+
+mozplugger.so: mozplugger.o stub.o mozplugger-common.o Makefile
 	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o stub.o
 
-mozplugger-common.o: mozplugger-common.c mozplugger.h
-	$(CC) -c $(SHARED_CFLAGS) -o mozplugger-common.o mozplugger-common.c
-
-mozplugger.o: mozplugger.c mozplugger.h
-	$(CC) -c $(SHARED_CFLAGS) -o mozplugger.o mozplugger.c
+mozplugger-common.o: mozplugger-common.c mozplugger.h Makefile
+	$(CC) -c $(CFLAGS) -o mozplugger-common.o mozplugger-common.c
+
+mozplugger.o: mozplugger.c mozplugger.h Makefile
+	$(CC) -c $(CFLAGS) -o mozplugger.o mozplugger.c
 
 stub.o: npapi/common/npunix.c
-	$(CC) -c $(SHARED_CFLAGS) -o stub.o npapi/common/npunix.c
+	$(CC) -c $(CFLAGS) -o stub.o npapi/common/npunix.c
 
 mozplugger-controller: mozplugger-controller.o mozplugger-common.o mozplugger-common.c
 	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o $(LDFLAGS) $(XLIBS)
@@ -163,7 +182,7 @@
 	cp mozplugger-controller $(root)$(prefix)/bin/
 	cp mozplugger.so $(root)$(prefix)/lib/mozilla/plugins/
 	cp mozpluggerrc $(root)/etc/
-	cp mozplugger.7.bz2 $(root)$(prefix)/share/man/man7/
+	cp mozplugger.7 $(root)$(prefix)/share/man/man7/
 
 mozplugger.tar.gz: $(BASE_FILES) $(SOURCE_FILES)
 	@( DIR=`pwd`;\
@@ -184,12 +203,6 @@
 
 echo_version:
 	@echo $(VERSION)
-
-mozplugger.spec: mozplugger.spec.in Makefile
-	sed <mozplugger.spec.in >mozplugger.spec -e 's/@VERSION@/$(VERSION)/g'
-
-README: README.in Makefile
-	sed <README.in >README -e 's/@VERSION@/$(VERSION)/g'
 
 rpm: $(RPMDIR)/SOURCES/mozplugger.tar.gz ./mozplugger.spec
 	rm -rf rpmtmp ||:
