## mozplugger 1.10.2

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.10.1
+VERSION=1.10.2
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
