## mozplugger 1.12.0

=== Makefile ===
--- 
+++ 
@@ -35,8 +35,12 @@
 	@echo '   ${MAKE} aix          - for AIX >= 4.2'
 	@echo '   ${MAKE} freebsd      - for FreeBSD 4.x'
 	@echo '   ${MAKE} openbsd      - for OpenBSD'
+	@echo '   ${MAKE} linux-gcov   - for linux with coverage/profiling'
 	@echo '   ${MAKE} xx BUILD=DEBUG  - for xx with debug'
 	@echo 'Always run $(MAKE) clean first when switching target type'
+
+linux-gcov:
+	${MAKE} all CC=gcc XCFLAGS='-fPIC -g -fprofile-arcs -ftest-coverage -Wall' LD=gcc XLDFLAGS=-shared EXTRA_LIBS=-lgcov
 
 irix:
 	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS='-shared -n32'
@@ -90,7 +94,7 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.10.2
+VERSION=1.12.0
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
@@ -107,11 +111,12 @@
 
 BIN_FILES=mozplugger.so \
 	  mozplugger-helper \
-	  mozplugger-controller
+	  mozplugger-controller \
+	  mozplugger-linker
 
 DEFINES= -DXP_UNIX -DVERSION=\"$(VERSION)\" -D$(BUILD) #-D__amd64__
 INCLUDES= -Inpapi/include -I$(X11)/include
-RPM_OPT_FLAGS=-O2
+RPM_OPT_FLAGS ?= -O2
 COMMON_CFLAGS=$(RPM_OPT_FLAGS) $(INCLUDES) $(DEFINES)
 COMMON_LDFLAGS=
 
@@ -120,21 +125,22 @@
 XLDFLAGS=-shared
 XLIBDIR = $(X11)/lib
 XLIBS=-lX11 -L$(XLIBDIR)
+EXTRA_LIBS=
 
 LDSHARED=$(LD) $(XLDFLAGS)
 LDFLAGS=$(COMMON_LDFLAGS) $(NORM_LDFLAGS)
 CFLAGS=$(COMMON_CFLAGS) $(XCFLAGS)
 
-all: mozplugger.so mozplugger-helper mozplugger-controller
+all: mozplugger.so mozplugger-helper mozplugger-controller mozplugger-linker
 
 mozplugger-helper: mozplugger-helper.o mozplugger-common.o
-	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o $(XLIBS)
+	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o $(XLIBS) $(EXTRA_LIBS)
 
 mozplugger-helper.o: mozplugger-helper.c mozplugger.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-helper.o mozplugger-helper.c
 
 mozplugger.so: mozplugger.o stub.o mozplugger-common.o Makefile
-	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o stub.o
+	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o stub.o $(EXTRA_LIBS)
 
 mozplugger-common.o: mozplugger-common.c mozplugger.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-common.o mozplugger-common.c
@@ -146,21 +152,25 @@
 	$(CC) -c $(CFLAGS) -o stub.o npapi/common/npunix.c
 
 mozplugger-controller: mozplugger-controller.o mozplugger-common.o mozplugger-common.c
-	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o $(LDFLAGS) $(XLIBS)
+	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c
+	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
 
 clean:
 	-rm -f *.o npapi/common/*.o
-	-rm -f mozplugger-helper mozplugger-controller mozplugger.so
+	-rm -f mozplugger-helper mozplugger-controller mozplugger-linker mozplugger.so
 
 spotless: clean
 	-rm *.so *~ core mozplugger
 	-rm -rf rpmtmp
 
-localinstall: mozplugger.so mozplugger-helper mozplugger-controller
+localinstall: mozplugger.so mozplugger-helper mozplugger-controller mozplugger-linker
 	-@mkdir -p $$HOME/$(BROWSERDIR)/plugins
 	cp mozplugger.so $$HOME/$(BROWSERDIR)/plugins/
 	cp mozplugger-helper $$HOME/$(BROWSERDIR)/
 	cp mozplugger-controller $$HOME/$(BROWSERDIR)/
+	cp mozplugger-linker $$HOME/$(BROWSERDIR)/
 	if [ -f $$HOME/$(BROWSERDIR)/mozpluggerrc ]; then mv $$HOME/$(BROWSERDIR)/mozpluggerrc $$HOME/$(BROWSERDIR)/mozpluggerrc.old; fi
 	cp mozpluggerrc $$HOME/$(BROWSERDIR)/
 
@@ -180,6 +190,7 @@
 	-@mkdir -p $(root)/etc
 	cp mozplugger-helper $(root)$(prefix)/bin/
 	cp mozplugger-controller $(root)$(prefix)/bin/
+	cp mozplugger-linker $(root)$(prefix)/bin/
 	cp mozplugger.so $(root)$(prefix)/lib/mozilla/plugins/
 	cp mozpluggerrc $(root)/etc/
 	cp mozplugger.7 $(root)$(prefix)/share/man/man7/
