## mozplugger 1.12.1

=== Makefile ===
--- 
+++ 
@@ -94,7 +94,8 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.12.0
+VERSION=1.12.1
+#VERSION=CVS-2009-04-10
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
