## mozplugger 1.13.3

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,10 @@
 #
 # For installing
 prefix=/usr
+
+# On 64 bit arch change libprefix to lib64
+libprefix=/lib
+#libprefix=/lib64
 
 #
 #
@@ -40,7 +44,7 @@
 	@echo 'Always run $(MAKE) clean first when switching target type'
 
 linux-gcov:
-	${MAKE} all CC=gcc XCFLAGS='-fPIC -g -fprofile-arcs -ftest-coverage -Wall' LD=gcc XLDFLAGS=-shared EXTRA_LIBS=-lgcov
+	${MAKE} all CC=gcc XCFLAGS='-fPIC -g -fprofile-arcs -ftest-coverage -fstack-protector-all -Wall' LD=gcc XLDFLAGS=-shared EXTRA_LIBS=-lgcov
 
 irix:
 	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS='-shared -n32'
@@ -94,8 +98,8 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.12.1
-#VERSION=CVS-2009-04-10
+#VERSION=CVS-2010-04-17
+VERSION=1.13.3
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
@@ -107,7 +111,7 @@
 	     mozplugger-common.c \
 	     mozplugger-helper.c \
 	     mozplugger.spec \
-	     mozplugger-common.c \
+	     child.c \
 	     mozplugger.h 
 
 BIN_FILES=mozplugger.so \
@@ -124,7 +128,7 @@
 NORM_LDFLAGS=
 XCFLAGS=-shared
 XLDFLAGS=-shared
-XLIBDIR = $(X11)/lib
+XLIBDIR = $(X11)$(libprefix)
 XLIBS=-lX11 -L$(XLIBDIR)
 EXTRA_LIBS=
 
@@ -134,14 +138,14 @@
 
 all: mozplugger.so mozplugger-helper mozplugger-controller mozplugger-linker
 
-mozplugger-helper: mozplugger-helper.o mozplugger-common.o
-	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o $(XLIBS) $(EXTRA_LIBS)
-
-mozplugger-helper.o: mozplugger-helper.c mozplugger.h Makefile
+mozplugger-helper: mozplugger-helper.o mozplugger-common.o child.o
+	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o child.o $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-helper.o: mozplugger-helper.c mozplugger.h child.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-helper.o mozplugger-helper.c
 
-mozplugger.so: mozplugger.o stub.o mozplugger-common.o Makefile
-	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o stub.o $(EXTRA_LIBS)
+mozplugger.so: mozplugger.o npunix.o mozplugger-common.o Makefile
+	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o npunix.o $(EXTRA_LIBS)
 
 mozplugger-common.o: mozplugger-common.c mozplugger.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-common.o mozplugger-common.c
@@ -149,15 +153,20 @@
 mozplugger.o: mozplugger.c mozplugger.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger.o mozplugger.c
 
-stub.o: npapi/common/npunix.c
-	$(CC) -c $(CFLAGS) -o stub.o npapi/common/npunix.c
-
-mozplugger-controller: mozplugger-controller.o mozplugger-common.o mozplugger-common.c
-	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
-
-mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c
-	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
-
+npunix.o: npapi/common/npunix.c
+	$(CC) -c $(CFLAGS) -o npunix.o npapi/common/npunix.c
+
+mozplugger-controller: mozplugger-controller.o mozplugger-common.o child.o
+	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o child.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-controller.o: mozplugger-controller.c mozplugger.h child.h Makefile
+	$(CC) -c $(CFLAGS) -o mozplugger-controller.o mozplugger-controller.c
+
+mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c child.o
+	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o child.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-linker.o: mozplugger-linker.c mozplugger.h child.h Makefile
+	$(CC) -c $(CFLAGS) -o mozplugger-linker.o mozplugger-linker.c
 clean:
 	-rm -f *.o npapi/common/*.o
 	-rm -f mozplugger-helper mozplugger-controller mozplugger-linker mozplugger.so
@@ -186,13 +195,13 @@
 
 install:
 	-@mkdir -p $(root)$(prefix)/bin
-	-@mkdir -p $(root)$(prefix)/lib/mozilla/plugins
+	-@mkdir -p $(root)$(prefix)$(libprefix)/mozilla/plugins
 	-@mkdir -p $(root)$(prefix)/share/man/man7
 	-@mkdir -p $(root)/etc
 	cp mozplugger-helper $(root)$(prefix)/bin/
 	cp mozplugger-controller $(root)$(prefix)/bin/
 	cp mozplugger-linker $(root)$(prefix)/bin/
-	cp mozplugger.so $(root)$(prefix)/lib/mozilla/plugins/
+	cp mozplugger.so $(root)$(prefix)$(libprefix)/mozilla/plugins/
 	cp mozpluggerrc $(root)/etc/
 	cp mozplugger.7 $(root)$(prefix)/share/man/man7/
