## mozplugger 1.14.1

=== Makefile ===
--- 
+++ 
@@ -98,8 +98,8 @@
 # No user servicable parts beyond this point
 # 
 
-#VERSION=CVS-2010-04-17
-VERSION=1.13.3
+#VERSION=CVS-2010-07-23
+VERSION=1.14.1
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
@@ -112,6 +112,7 @@
 	     mozplugger-helper.c \
 	     mozplugger.spec \
 	     child.c \
+	     debug.c \
 	     mozplugger.h 
 
 BIN_FILES=mozplugger.so \
@@ -138,14 +139,14 @@
 
 all: mozplugger.so mozplugger-helper mozplugger-controller mozplugger-linker
 
-mozplugger-helper: mozplugger-helper.o mozplugger-common.o child.o
-	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o child.o $(XLIBS) $(EXTRA_LIBS)
-
-mozplugger-helper.o: mozplugger-helper.c mozplugger.h child.h Makefile
+mozplugger-helper: mozplugger-helper.o mozplugger-common.o child.o debug.o
+	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o child.o debug.o $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-helper.o: mozplugger-helper.c mozplugger.h child.h debug.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-helper.o mozplugger-helper.c
 
-mozplugger.so: mozplugger.o npunix.o mozplugger-common.o Makefile
-	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o npunix.o $(EXTRA_LIBS)
+mozplugger.so: mozplugger.o npunix.o mozplugger-common.o debug.o Makefile
+	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o npunix.o debug.o $(EXTRA_LIBS)
 
 mozplugger-common.o: mozplugger-common.c mozplugger.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-common.o mozplugger-common.c
@@ -156,16 +157,22 @@
 npunix.o: npapi/common/npunix.c
 	$(CC) -c $(CFLAGS) -o npunix.o npapi/common/npunix.c
 
-mozplugger-controller: mozplugger-controller.o mozplugger-common.o child.o
-	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o child.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
-
-mozplugger-controller.o: mozplugger-controller.c mozplugger.h child.h Makefile
+child.o: child.c child.h debug.h mozplugger.h Makefile
+	$(CC) -c $(CFLAGS) -o child.o child.c
+
+debug.o: debug.c debug.h Makefile
+	$(CC) -c $(CFLAGS) -o debug.o debug.c
+
+mozplugger-controller: mozplugger-controller.o mozplugger-common.o child.o debug.o
+	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o child.o debug.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-controller.o: mozplugger-controller.c mozplugger.h child.h debug.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-controller.o mozplugger-controller.c
 
-mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c child.o
-	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o child.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
-
-mozplugger-linker.o: mozplugger-linker.c mozplugger.h child.h Makefile
+mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c child.o debug.o
+	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o child.o debug.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-linker.o: mozplugger-linker.c mozplugger.h child.h debug.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-linker.o mozplugger-linker.c
 clean:
 	-rm -f *.o npapi/common/*.o
