=== debian/changelog ===
mozplugger (1.14.1-2~exp3ubuntu1) maverick; urgency=low

  * Great news: this works with Chromium browser!
  * Merge with Debian experimental, remaining changes:
    - Replace ice{weasel,ape} with firefox,xulrunner-addons in
      debian/mozplugger.links file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 13 Sep 2010 13:04:08 +0200

mozplugger (1.14.1-2~exp3) experimental; urgency=low

  * Add Chromium browser support in mozpluggerrc (Closes: #582176).
  * Re-introduce epiphany in the Depends field.
  * Add chromium-browser to Depends field.

 -- Alessio Treglia <alessio@debian.org>  Mon, 13 Sep 2010 12:52:13 +0200

mozplugger (1.14.1-2~exp2) experimental; urgency=low

  * Mozplugger seems ignoring needs_xembed flag; attempt to make it able
    to work with Chromium browser.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Sep 2010 11:45:37 +0200

mozplugger (1.14.1-2~exp1) experimental; urgency=low

  * debian/patches/02-mozpluggerrc.patch:
    - Try to embed Evince (Closes: #588833).
    - Remove kdpf since it is no longer available (LP: #303623).

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Sep 2010 11:15:14 +0200

mozplugger (1.14.1-1) unstable; urgency=low

  * New upstream bugfix-only release:
    - Don't store temporary files in $HOME (Closes: #588130).
    - Use NPP_StreamAsFile with webkit based browsers.
    - Embedded objects now have a property called "isPlaying", which
      return true if the application is running, false otherwise.
  * Merge Ubuntu changelog entries.
  * Update Standards to 3.9.1.
  * Update watch file.
  * Refresh debian/patches/01-manpages.patch patch.

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Sep 2010 10:34:08 +0200

mozplugger (1.14.0-2ubuntu1) maverick; urgency=low

  * Merge with debian unstable, remaining changes:
    - debian/mozplugger.links: Replace ice{weasel,ape} with
      firefox,xulrunner-addons.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 27 Jun 2010 19:36:04 +0200

mozplugger (1.14.0-2) unstable; urgency=low

  * Add debian/source/format file.
  * Switch to format 3.0 (quilt).
  * Bump priority of firefox up, it should come just after iceweasel.
  * Add .gitignore file.
  * Add debian/gbp.conf file.

 -- Alessio Treglia <alessio@debian.org>  Sat, 26 Jun 2010 16:28:00 +0200

mozplugger (1.14.0-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, Ubuntu remaining changes:
    - debian/mozplugger.links: Replace ice{weasel,ape} with
      firefox,xulrunner-addons.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 17 Jun 2010 22:21:02 +0200

mozplugger (1.14.0-1) unstable; urgency=low

  * Merge Ubuntu changelog entries.
  * New upstream release.
  * Change my mail address.
  * Refresh patches.
  * Remove final blank line from the description.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Jun 2010 09:58:58 +0200

mozplugger (1.13.3-1ubuntu1) lucid; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - debian/mozplugger.links:
      + Replace ice{weasel,ape} with firefox,xulrunner-addons.
    - This closes LP: #439540.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 17 Apr 2010 10:47:53 +0200

mozplugger (1.13.3-1) unstable; urgency=low

  * New upstream release:
    - Fixes upstream bug #22723 (Closes: #519832).
  * Refresh 01-manpages.patch and add more patches.
  * Add README.source to document howto patch the sources.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 17 Apr 2010 01:15:53 +0200

mozplugger (1.13.2-2) unstable; urgency=low

  * Add xulrunner-1.9.{1,2} support (Closes: #575532).
  * Don't depend on epiphany-browser, see bug #566857.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Apr 2010 19:09:23 +0200

mozplugger (1.13.2-1ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #553855).  Remaining changes:
    - debian/control: 
      + Bump xulrunner depends to xulrunner-1.9.2 (LP: #553850)
      + Remove epiphany-browser from Suggests field, see Debian bug #566857 for
        more information.
    - debian/mozplugger.links:
      + Replace ice{weasel,ape} with firefox,xulrunner-addons.

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 02 Apr 2010 12:03:28 -0500

mozplugger (1.13.2-1) unstable; urgency=low

  * New upstream release:
    - Fix upstream's #22440 bug introduced by 1.13.1.
  * Bump Standards.
  * Switch to quilt.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 20 Feb 2010 01:27:43 +0100

mozplugger (1.13.1-1ubuntu1) lucid; urgency=low

  * Merge from debian, remaining changes:
    - debian/mozplugger.links:
      + Replace ice{weasel,ape} with firefox,xulrunner-addons.
  * Remove epiphany-browser from Suggests field, see Debian bug #566857 for
    more information.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 28 Jan 2010 14:19:10 +0100

mozplugger (1.13.1-1) unstable; urgency=low

  * New upstream release 1.13.1.
  * Refresh patches.
  * Update Vcs-* fields, the packaging has been moved to Git.
  * The previous upload closed the wrong ITA bug: Closes: #557588.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 27 Jan 2010 11:57:50 +0100

mozplugger (1.13.0-2) unstable; urgency=low

  * Adopting this (Closes: #557558).
  * debian/control:
    - Bump Stanadards-Versions.
    - Add ${misc:Depends} macro to the Depends field.
    - Remove XS- prefix from Vcs-* fields.
    - Allow uploads by Debian Maintainers.
    - Append firefox | abrowser to the Depends field value.
  * debian/copyright:
    - Fix copyright-refers-to-versionless-license-file.
  * Link usr/share/man/man1/mozplugger-controller.1.gz to
    usr/share/man/man1/mozplugger-linker.1.gz.
  * debian/patches/01-manpages.patch:
    - Fix errors in mozplugger.7 manpage.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 14 Jan 2010 08:45:43 +0100

mozplugger (1.13.0-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, Ubuntu remaining changes:
    - debian/control:

