=== debian/control ===
Source: mozplugger
Section: web
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Standards-Version: 3.9.1
Build-Depends: cdbs,
 debhelper (>= 5.0.0),
 libx11-dev,
 libxt-dev,
 x11proto-core-dev
Vcs-Git: git://git.debian.org/collab-maint/mozplugger.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mozplugger.git
Homepage: http://mozplugger.mozdev.org

Package: mozplugger
Architecture: any
Depends: m4,
 ${shlibs:Depends},
 iceweasel |
 iceape-browser |
 firefox |
 abrowser |
 galeon |
 konqueror |
 opera |
 epiphany |
 chromium-browser |
 xulrunner-1.9 |
 xulrunner-1.9.1 |
 xulrunner-1.9.2,
 ${misc:Depends}
Description: Plugin allowing external viewers to be launched inside Mozilla
 mozplugger allows you to seamlessly integrate external applications
 to view files downloaded from the web that Mozilla can not normally
 handle. The application is embedded within a Mozilla window as to act
 like and feel like a true plugin.
 .
 This allows you to view PDFs, Postscript files, animations and
 movies, amongst other file types all from within Mozilla (with
 supporting applications).
