## mozplugger 1.14.2

=== Makefile ===
--- 
+++ 
@@ -98,8 +98,8 @@
 # No user servicable parts beyond this point
 # 
 
-#VERSION=CVS-2010-07-23
-VERSION=1.14.1
+#VERSION=CVS-2010-09-09
+VERSION=1.14.2
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
