=== debian/changelog ===
mozplugger (1.14.2-1ubuntu1) natty; urgency=low

  * Merge from debian experimental, Ubuntu remaining changes:
    - Replace ice{weasel,ape} with firefox,xulrunner-addons in
      debian/mozplugger.links file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 16 Oct 2010 12:06:10 +0200

mozplugger (1.14.2-1) experimental; urgency=low

  * New upstream release.
  * Drop debian/patches/03-honor_needs_xembed.patch, applied upstream.
  * Refresh debian/patches/01-manpages.patch patch.
  * Add local-options file into debian/source/.

 -- Alessio Treglia <alessio@debian.org>  Wed, 22 Sep 2010 16:23:15 +0200
