=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mozplugger
 Section: web
 Priority: optional
-Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Standards-Version: 3.9.1
 Build-Depends: cdbs,
  debhelper (>= 5.0.0),
