=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_INVOKE := $(DEB_MAKE_ENVVARS) $(MAKE)
DEB_MAKE_BUILD_TARGET := linux
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/mozplugger/

DEB_INSTALL_MANPAGES_mozplugger := \
	debian/mozplugger-controller.1 \
	debian/mozplugger-helper.1
