=== debian/watch ===
version=3
http://mozplugger.mozdev.org/ .*/mozplugger-(.*)\.tar\.gz
