## mozplugger 1.14.3

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 #
 # For installing
 prefix=/usr
+sysconfdir=/etc
+exec_prefix=
 
 # On 64 bit arch change libprefix to lib64
 libprefix=/lib
@@ -27,6 +29,7 @@
 #BUILD=DEBUG
 
 any:
+	@echo 'This Makefile is deprecated, but still works see README'
 	@echo 'Choose target:'
 	@echo '   ${MAKE} linux        - for Linux'
 	@echo '   ${MAKE} solaris-gcc  - for Solaris with gcc'
@@ -98,8 +101,7 @@
 # No user servicable parts beyond this point
 # 
 
-#VERSION=CVS-2010-09-09
-VERSION=1.14.2
+VERSION=1.14.3
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
@@ -120,13 +122,11 @@
 	  mozplugger-controller \
 	  mozplugger-linker
 
-DEFINES= -DXP_UNIX -DVERSION=\"$(VERSION)\" -D$(BUILD) #-D__amd64__
+DEFINES= -DXP_UNIX -DVERSION=\"$(VERSION)\" -D$(BUILD) -DSYSCONFDIR=\"${sysconfdir}\" #-D__amd64__
 INCLUDES= -Inpapi/include -I$(X11)/include
 RPM_OPT_FLAGS ?= -O2
 COMMON_CFLAGS=$(RPM_OPT_FLAGS) $(INCLUDES) $(DEFINES)
-COMMON_LDFLAGS=
-
-NORM_LDFLAGS=
+
 XCFLAGS=-shared
 XLDFLAGS=-shared
 XLIBDIR = $(X11)$(libprefix)
@@ -134,7 +134,7 @@
 EXTRA_LIBS=
 
 LDSHARED=$(LD) $(XLDFLAGS)
-LDFLAGS=$(COMMON_LDFLAGS) $(NORM_LDFLAGS)
+LDFLAGS= 
 CFLAGS=$(COMMON_CFLAGS) $(XCFLAGS)
 
 all: mozplugger.so mozplugger-helper mozplugger-controller mozplugger-linker
@@ -169,7 +169,7 @@
 mozplugger-controller.o: mozplugger-controller.c mozplugger.h child.h debug.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-controller.o mozplugger-controller.c
 
-mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c child.o debug.o
+mozplugger-linker: mozplugger-linker.o mozplugger-common.o child.o debug.o
 	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o child.o debug.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
 
 mozplugger-linker.o: mozplugger-linker.c mozplugger.h child.h debug.h Makefile
@@ -201,16 +201,16 @@
 	make localinstall BROWSERDIR=.opera
 
 install:
-	-@mkdir -p $(root)$(prefix)/bin
-	-@mkdir -p $(root)$(prefix)$(libprefix)/mozilla/plugins
-	-@mkdir -p $(root)$(prefix)/share/man/man7
-	-@mkdir -p $(root)/etc
-	cp mozplugger-helper $(root)$(prefix)/bin/
-	cp mozplugger-controller $(root)$(prefix)/bin/
-	cp mozplugger-linker $(root)$(prefix)/bin/
-	cp mozplugger.so $(root)$(prefix)$(libprefix)/mozilla/plugins/
-	cp mozpluggerrc $(root)/etc/
-	cp mozplugger.7 $(root)$(prefix)/share/man/man7/
+	-@mkdir -p $(exec_prefix)/bin
+	-@mkdir -p $(prefix)$(libprefix)/mozilla/plugins
+	-@mkdir -p $(exec_prefix)/share/man/man7
+	-@mkdir -p ${sysconfdir}
+	cp mozplugger-helper $(exec_prefix)/bin/
+	cp mozplugger-controller $(exec_prefix)/bin/
+	cp mozplugger-linker $(exec_prefix)/bin/
+	cp mozplugger.so $(prefix)$(libprefix)/mozilla/plugins/
+	cp mozpluggerrc ${sysconfdir}/
+	cp mozplugger.7 $(exec_prefix)/share/man/man7/
 
 mozplugger.tar.gz: $(BASE_FILES) $(SOURCE_FILES)
 	@( DIR=`pwd`;\
