=== debian/changelog ===
mozplugger (1.14.3-5) unstable; urgency=low

  * Install mozplugger in /usr/lib/mozilla/plugins/ only (Closes: #638459)
    Thanks to Gabriele Giacone for the report.

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Aug 2011 09:40:01 +0200

mozplugger (1.14.3-4) unstable; urgency=low

  * Fix small typo in debian/control which causes mozplugger to install
    redundant dependencies (Closes: #635678).

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Jul 2011 12:55:03 +0200

mozplugger (1.14.3-3) unstable; urgency=low

  * Update chromium packages' names.
  * Reintroduce a Suggests list (Closes: #466183).
  * Remove -Od from timidity command line (LP: #796869).

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jul 2011 10:50:35 +0200

mozplugger (1.14.3-2) unstable; urgency=low

  * Fix path of /usr/lib/xscreensaver/molecule (Closes: #617292).
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Apr 2011 13:33:08 +0200

mozplugger (1.14.3-1) unstable; urgency=low

  * Imported Upstream version 1.14.3, fixes upstream bugs:
    - 23735: Add option to configure.ac to allow build with
      needs_xembed always true
    - 23734: Use autoconf to reduce complexity of supporting
      different builds
    - 23733: mozplugger rejects URLS that contains semicolons.
    - 23732: When creating temporary file no check is made for
      bad characters.
  * debian/rules:
    - Don't use the legacy /usr/lib/{firefox,xulrunner-addons}
      locations on Ubuntu.
  * debian/clean:
    - Clean debian/mozplugger.links, remove override_dh_auto_clean
      from debian/rules.
  * debian/control:
    - Add xulrunner-2.0 support.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 06 Mar 2011 09:03:33 +0100

mozplugger (1.14.2-5) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 19:11:57 +0100

mozplugger (1.14.2-4) experimental; urgency=low

  * Build with -DDEBUG.

 -- Alessio Treglia <alessio@debian.org>  Mon, 10 Jan 2011 11:14:39 +0100

mozplugger (1.14.2-3) experimental; urgency=low

  * Add rekonq to the supported browsers list (LP: #682241).

 -- Alessio Treglia <alessio@debian.org>  Sun, 28 Nov 2010 10:36:45 +0100

mozplugger (1.14.2-2) experimental; urgency=low

  * Fix evince behavior when opening PostScript files.
  * Provide an update-mozpluggerrc script to regenerate
    /etc/mozpluggerrc from the contents of the directory
    /etc/mozpluggerrc.d/ (Closes: #275766).
  * Handle the removal of the old conffile.
  * Pre-Depends on dpkg (>= 1.15.7.2).
  * Drop CDBS, switch to DH 7 short-form.
  * Generate debian/mozplugger.links file depending on the distribution
    on which the package is built. This reduces the delta to 0.
  * debian/00Makefile.patch:
    - Don't install mozpluggerrc.
    - Add header DEP-3 compliant.
  * Merge Ubuntu changelog entries.
  * Add NEWS.Debian file.

 -- Alessio Treglia <alessio@debian.org>  Wed, 24 Nov 2010 15:46:31 +0100
