=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: mozplugger
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: cdbs,
- debhelper (>= 5.0.0),
+Maintainer: Alessio Treglia <alessio@debian.org>
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~),
  libx11-dev,
  libxt-dev,
  x11proto-core-dev
@@ -15,6 +13,7 @@
 
 Package: mozplugger
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: m4,
  ${shlibs:Depends},
  iceweasel |
@@ -22,14 +21,42 @@
  firefox |
  abrowser |
  galeon |
+ rekonq |
  konqueror |
  opera |
  epiphany |
+ chromium (>> 10.0.648.114~r75702-1~) |
  chromium-browser |
  xulrunner-1.9 |
  xulrunner-1.9.1 |
- xulrunner-1.9.2,
+ xulrunner-1.9.2 |
+ xulrunner-2.0,
  ${misc:Depends}
+Suggests: bplay,
+ mikmod,
+ mpg123,
+ mpg321,
+ mplayer | mplayer2,
+ vorbis-tools,
+ sox,
+ playmidi,
+ sidplay-base,
+ splay,
+ timidity,
+ xcdroast,
+ xine-ui,
+ xmp,
+ libreoffice-common,
+ gqview,
+ qiv,
+ imagemagick,
+ evince | evince-gtk,
+ xpdf,
+ texlive-base,
+ abiword-common,
+ gnumeric,
+ rasmol,
+ xscreensaver-gl
 Description: Plugin allowing external viewers to be launched inside Mozilla
  mozplugger allows you to seamlessly integrate external applications
  to view files downloaded from the web that Mozilla can not normally
