=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build -- linux BUILD=DEBUG
