## mozplugger 1.14.5

=== debian/changelog ===
mozplugger (1.14.5-3~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add palemoon and palemoon-nonsse2 as alternate depends.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Feb 2018 14:18:18 -0800

mozplugger (1.14.5-2) unstable; urgency=low

  * QA upload.
  * Orphaning this.

 -- Alessio <alessio@debian.org>  Fri, 16 Aug 2013 09:30:19 +0100

mozplugger (1.14.5-1) unstable; urgency=low

  * New upstream release.
  * Remove 11-processes_left_behind.patch, was applied upstream.
  * Refresh patches.
  * Update debian/rules, upstream replaced the pure Makefile-based
    buildsystem with autoconf.
  * debian/mozpluger.install:
    - Install mozplugger.so by hand, the buildsystem is buggy.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 May 2012 02:37:00 +0200

mozplugger (1.14.3-7) unstable; urgency=low

  * Don't leave processes in background after they've become unnecessary.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Jan 2012 11:34:57 +0100

mozplugger (1.14.3-6) unstable; urgency=low

  * Turn off DEBUG mode (Closes: #619223).

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Nov 2011 01:37:29 +0100
