=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: mozplugger
 Section: web
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7),
  libx11-dev,
  libxt-dev,
  x11proto-core-dev
@@ -30,7 +32,9 @@
  xulrunner-1.9 |
  xulrunner-1.9.1 |
  xulrunner-1.9.2 |
- xulrunner-2.0,
+ xulrunner-2.0 |
+ palemoon |
+ palemoon-nonsse2,
  ${misc:Depends}
 Suggests: bplay,
  mikmod,
